=== debian/changelog ===
kmail-account-wizard (4:25.12.2+p24.04+vunstable+git20260207.0357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 03:57:54 +0000

kmail-account-wizard (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:52:48 +0000
